<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://cynorwebsolutions.com
 * @since      1.0.0
 *
 * @package    Whatsmarketing
 * @subpackage Whatsmarketing/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Whatsmarketing
 * @subpackage Whatsmarketing/includes
 * @author     MICHAEL PAREDES <michaelparedes82@gmail.com>
 */
class Whatsmarketing_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'whatsmarketing',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
