<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Whatsapp_Elementor_Form_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'whatsapp_elementor_form';
    }

    public function get_title() {
        return __( 'Whatsapp Form', 'whatsapp-elementor-form' );
    }

    public function get_icon() {
        return 'fa fa-envelope';
    }

    public function get_categories() {
        return [ 'general' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'whatsapp-elementor-form' ),
            ]
        );

        $this->add_control(
            'form_title',
            [
                'label' => __( 'Form Title', 'whatsapp-elementor-form' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'whatsapp elementor Form', 'whatsapp-elementor-form' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $postid = get_the_id();
        ?>
		<div data-elementor-id="<?= $postid ?>" class="elementor elementor-<?= $postid ?> whatsapp-form">
			<section class="elementor-section elementor-top-section elementor-element elementor-element-da929dc elementor-section-boxed elementor-section-height-default elementor-section-height-default">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-5e1591f" data-id="5e1591f" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<section class="elementor-section elementor-inner-section elementor-element elementor-element-0543470 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="0543470" data-element_type="section">
								<div class="elementor-container elementor-column-gap-default">
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-a6f39fd" data-id="a6f39fd" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-71ecbb3 elementor-view-default elementor-widget elementor-widget-icon" data-id="71ecbb3" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i aria-hidden="true" class="fab fa-elementor"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-6e36c32" data-id="6e36c32" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-f884de0 elementor-view-default elementor-widget elementor-widget-icon" data-id="f884de0" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i aria-hidden="true" class="fas fa-plug"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-48d9962" data-id="48d9962" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-6af6ff9 elementor-view-default elementor-widget elementor-widget-icon" data-id="6af6ff9" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i aria-hidden="true" class="fab fa-whatsapp-square"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</section>
						</div>
					</div>
				</div>
			</section>
			<section class="elementor-section elementor-top-section elementor-element elementor-element-b56bcb3 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="b56bcb3" data-element_type="section">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-5d5504f" data-id="5d5504f" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<div class="elementor-element elementor-element-6c2de7e elementor-widget elementor-widget-heading" data-id="6c2de7e" data-element_type="widget" data-widget_type="heading.default">
								<div class="elementor-widget-container">
									<h1 class="elementor-heading-title elementor-size-default">Demo Elementor Form <br>to WhatsApp<br></h1></div>
							</div>
							<div class="elementor-element elementor-element-5b991d7 elementor-widget elementor-widget-heading" data-id="5b991d7" data-element_type="widget" data-widget_type="heading.default">
								<div class="elementor-widget-container">
									<h2 class="elementor-heading-title elementor-size-default">Silahkan isi form dibawah ini untuk melihat Notifikasi WA otomatis ke nomor Anda</h2></div>
							</div>
						</div>
					</div>
				</div>
			</section>
			<section class="elementor-section elementor-top-section elementor-element elementor-element-bffffca elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="bffffca" data-element_type="section">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-cfc77a5" data-id="cfc77a5" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<div class="elementor-element elementor-element-e88ed33 elementor-button-align-center elementor-widget elementor-widget-form" data-id="e88ed33" data-element_type="widget" data-settings="{&quot;step_next_label&quot;:&quot;Next&quot;,&quot;step_previous_label&quot;:&quot;Previous&quot;,&quot;button_width&quot;:&quot;100&quot;,&quot;step_type&quot;:&quot;number_text&quot;,&quot;step_icon_shape&quot;:&quot;circle&quot;}"
							data-widget_type="form.default">
								<div class="elementor-widget-container">
									<form class="" method="POST" id="elm_to_wts" action="">
										<div class="elementor-form-fields-wrapper elementor-labels-above">
											<div class="elementor-field-type-text elementor-field-group elementor-column elementor-field-group-name elementor-col-100">
												<label for="form-field-name" class="elementor-field-label">
													Nama </label>
												<input size="1" type="text" name="form_fields[name]" id="form-field-name" class="elementor-field elementor-size-sm  elementor-field-textual" fdprocessedid="z6ofl" required>
											</div>
											<div class="elementor-field-type-text elementor-field-group elementor-column elementor-field-group-wa elementor-col-100 elementor-field-required whatsappnmbr">
												<label for="form-field-wa" class="elementor-field-label">
													Nomor WA </label>
												<input size="1" type="text" name="form_fields[wa]" id="form-field-wa" class="elementor-field elementor-size-sm  elementor-field-textual" placeholder="+1*********" required="required" aria-required="true" fdprocessedid="6fbr0d">
												<?php
												$whatsapp_number = get_option('whatsapp_no');
												?>
												<input type="hidden" name="form_fields[whatsapp]" value='<?=$whatsapp_number?>'>
											</div>
											<div class="elementor-field-type-text elementor-field-group elementor-column elementor-field-group-name elementor-col-100">
												<label for="form-field-email" class="elementor-field-label">
													Email </label>
												<input size="1" type="email" name="form_fields[email]" id="form-field-email" class="elementor-field elementor-size-sm  elementor-field-textual" fdprocessedid="d71sog" required>
											</div>
											<div class="elementor-field-type-textarea elementor-field-group elementor-column elementor-field-group-message elementor-col-100">
												<label for="form-field-message" class="elementor-field-label">
													Pesan </label>
												<textarea class="elementor-field-textual elementor-field  elementor-size-sm" name="form_fields[message]" id="form-field-message" rows="4" placeholder="Asal aja hanya untuk demo" required></textarea>
											</div>
											<div class="elementor-field-group elementor-column elementor-field-type-submit elementor-col-100 e-form__buttons">
												<input type="submit" name="whatsmarketing_elementor_submit" id="whatsmarketing_elementor_submit" value="SEND">
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
		</div>
		<style>
        .whatsapp-form .elementor-element-71ecbb3 .elementor-icon-wrapper {
            text-align: right;
        }
        .whatsapp-form .elementor-view-default .elementor-icon {
             color: #dbdbdb;
            border-color: #dbdbdb;
        }
		.elementor-element.elementor-element-f884de0 .elementor-icon i {
			transform: rotate(90deg);
			font-size: 20px;
		}
		.elementor-element.elementor-element-6af6ff9 .elementor-icon-wrapper {
			text-align: left;
		}
		.whatsapp-form .elementor-element-6e36c32 {
			width: 40px;
		}
		.elementor-container.elementor-column-gap-default {
			justify-content: center;
			align-items: center;
		}
		
		.elementor-element.elementor-element-6c2de7e .elementor-heading-title {
			color: #474747;
			font-family: "Varela Round",Sans-serif;
			font-weight: 700;
			text-shadow: 0px 0px 10px rgba(0,0,0,.3);
			font-size: 2.5rem;
			text-align: center;
		}
		.elementor-element.elementor-element-5b991d7 .elementor-heading-title {
			color: #000;
			font-size: 23px;
			text-align: center;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-field-group {
			padding-right: calc(10px/2);
			padding-left: calc(10px/2);
			margin-bottom: 10px;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-labels-above .elementor-field-group>label {
			padding-bottom: 0;
			margin-bottom: 0;
			font-family: var(--e-global-typography-text-font-family), Sans-serif;
			font-weight: var(--e-global-typography-text-font-weight);
		}
		.elementor-element.elementor-element-e88ed33 .elementor-labels-above .elementor-field-group>input {
			border-radius: 5px;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-button[type=submit] {
			color: #fff;
			border-radius: 36px;
			flex-basis: auto;
			background-color: #2abf64;
		}
		.elementor-element.elementor-element-e88ed33 textarea {
			border-radius: 5px;
		}
		.whatsappnmbr {
    		display: inline-block;
		}
		.whatsappnmbr .iti.iti--allow-dropdown {
    		width: 100%;
		}
		input#whatsmarketing_elementor_submit {
			background: green;
			color: #fff;
			flex-basis: auto;
		}
		</style>
        <?php
    }

    protected function _content_template() {
        ?>
		<div data-elementor-id="<?= $postid ?>" class="elementor elementor-<?= $postid ?> whatsapp-form">
			<section class="elementor-section elementor-top-section elementor-element elementor-element-da929dc elementor-section-boxed elementor-section-height-default elementor-section-height-default">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-5e1591f" data-id="5e1591f" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<section class="elementor-section elementor-inner-section elementor-element elementor-element-0543470 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="0543470" data-element_type="section">
								<div class="elementor-container elementor-column-gap-default">
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-a6f39fd" data-id="a6f39fd" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-71ecbb3 elementor-view-default elementor-widget elementor-widget-icon" data-id="71ecbb3" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i class="eicon-elementor" aria-hidden="true"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-6e36c32" data-id="6e36c32" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-f884de0 elementor-view-default elementor-widget elementor-widget-icon" data-id="f884de0" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i aria-hidden="true" class="fas fa-plug"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<div class="elementor-column elementor-col-33 elementor-inner-column elementor-element elementor-element-48d9962" data-id="48d9962" data-element_type="column">
										<div class="elementor-widget-wrap elementor-element-populated">
											<div class="elementor-element elementor-element-6af6ff9 elementor-view-default elementor-widget elementor-widget-icon" data-id="6af6ff9" data-element_type="widget" data-widget_type="icon.default">
												<div class="elementor-widget-container">
													<div class="elementor-icon-wrapper">
														<div class="elementor-icon">
															<i aria-hidden="true" class="fab fa-whatsapp-square"></i></div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</section>
						</div>
					</div>
				</div>
			</section>
			<section class="elementor-section elementor-top-section elementor-element elementor-element-b56bcb3 elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="b56bcb3" data-element_type="section">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-5d5504f" data-id="5d5504f" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<div class="elementor-element elementor-element-6c2de7e elementor-widget elementor-widget-heading" data-id="6c2de7e" data-element_type="widget" data-widget_type="heading.default">
								<div class="elementor-widget-container">
									<h1 class="elementor-heading-title elementor-size-default">Demo Elementor Form <br>to WhatsApp<br></h1></div>
							</div>
							<div class="elementor-element elementor-element-5b991d7 elementor-widget elementor-widget-heading" data-id="5b991d7" data-element_type="widget" data-widget_type="heading.default">
								<div class="elementor-widget-container">
									<h2 class="elementor-heading-title elementor-size-default">Silahkan isi form dibawah ini untuk melihat Notifikasi WA otomatis ke nomor Anda</h2></div>
							</div>
						</div>
					</div>
				</div>
			</section>
			<section class="elementor-section elementor-top-section elementor-element elementor-element-bffffca elementor-section-boxed elementor-section-height-default elementor-section-height-default" data-id="bffffca" data-element_type="section">
				<div class="elementor-container elementor-column-gap-default">
					<div class="elementor-column elementor-col-100 elementor-top-column elementor-element elementor-element-cfc77a5" data-id="cfc77a5" data-element_type="column">
						<div class="elementor-widget-wrap elementor-element-populated">
							<div class="elementor-element elementor-element-e88ed33 elementor-button-align-center elementor-widget elementor-widget-form" data-id="e88ed33" data-element_type="widget" data-settings="{&quot;step_next_label&quot;:&quot;Next&quot;,&quot;step_previous_label&quot;:&quot;Previous&quot;,&quot;button_width&quot;:&quot;100&quot;,&quot;step_type&quot;:&quot;number_text&quot;,&quot;step_icon_shape&quot;:&quot;circle&quot;}"
							data-widget_type="form.default">
								<div class="elementor-widget-container">
									<form class="elementor-form" method="post" id="elm_to_wts">
										<input type="hidden" name="post_id" value="<?= $postid ?>">
										<input type="hidden" name="form_id" value="e88ed33">
										<input type="hidden" name="referer_title" value="Demo Elementor Form to WhatsApp - Woowa WhatsApp Notification">
										<input type="hidden" name="queried_id" value="<?= $postid ?>">
										<div class="elementor-form-fields-wrapper elementor-labels-above">
											<div class="elementor-field-type-text elementor-field-group elementor-column elementor-field-group-name elementor-col-100">
												<label for="form-field-name" class="elementor-field-label">
													Nama </label>
												<input size="1" type="text" name="form_fields[name]" id="form-field-name" class="elementor-field elementor-size-sm  elementor-field-textual" fdprocessedid="z6ofl">
											</div>
											<div class="elementor-field-type-text elementor-field-group elementor-column elementor-field-group-wa elementor-col-100 elementor-field-required">
												<label for="form-field-wa" class="elementor-field-label">
													Nomor WA </label>
												<input size="1" type="text" name="form_fields[wa]" id="form-field-wa" class="elementor-field elementor-size-sm  elementor-field-textual" placeholder="+1*********" required="required" aria-required="true" fdprocessedid="6fbr0d">
											</div>
											<div class="elementor-field-type-textarea elementor-field-group elementor-column elementor-field-group-message elementor-col-100">
												<label for="form-field-message" class="elementor-field-label">
													Pesan </label>
												<textarea class="elementor-field-textual elementor-field  elementor-size-sm" name="form_fields[message]" id="form-field-message" rows="4" placeholder="Asal aja hanya untuk demo"></textarea>
											</div>
											<div class="elementor-field-group elementor-column elementor-field-type-submit elementor-col-100 e-form__buttons">
												<button type="submit" class="elementor-button elementor-size-sm" fdprocessedid="awcf7">
													<span>
														<span class=" elementor-button-icon"></span>
														<span class="elementor-button-text">Send</span>
													</span>
												</button>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
		</div>
		<style>
        .whatsapp-form .elementor-element-71ecbb3 .elementor-icon-wrapper {
            text-align: right;
        }
        .whatsapp-form .elementor-view-default .elementor-icon {
             color: #dbdbdb;
            border-color: #dbdbdb;
        }
		.elementor-element.elementor-element-f884de0 .elementor-icon i {
			transform: rotate(90deg);
			font-size: 20px;
		}
		.elementor-element.elementor-element-6af6ff9 .elementor-icon-wrapper {
			text-align: left;
		}
		.whatsapp-form .elementor-element-6e36c32 {
			width: 40px;
		}
		.elementor-container.elementor-column-gap-default {
			justify-content: center;
			align-items: center;
		}
		
		.elementor-element.elementor-element-6c2de7e .elementor-heading-title {
			color: #474747;
			font-family: "Varela Round",Sans-serif;
			font-weight: 700;
			text-shadow: 0px 0px 10px rgba(0,0,0,.3);
			font-size: 2.5rem;
			text-align: center;
		}
		.elementor-element.elementor-element-5b991d7 .elementor-heading-title {
			color: #000;
			font-size: 23px;
			text-align: center;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-field-group {
			padding-right: calc(10px/2);
			padding-left: calc(10px/2);
			margin-bottom: 10px;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-labels-above .elementor-field-group>label {
			padding-bottom: 0;
			margin-bottom: 0;
			font-family: var(--e-global-typography-text-font-family), Sans-serif;
			font-weight: var(--e-global-typography-text-font-weight);
		}
		.elementor-element.elementor-element-e88ed33 .elementor-labels-above .elementor-field-group>input {
			border-radius: 5px;
		}
		.elementor-element.elementor-element-e88ed33 .elementor-button[type=submit] {
			color: #fff;
			border-radius: 36px;
			flex-basis: auto;
			background-color: #2abf64;
		}
		.elementor-element.elementor-element-e88ed33 textarea {
			border-radius: 5px;
		}
		</style>
        <?php
    }
}