<h2>Whatsmarketing</h2>
<style>
.tabs {
    display: flex;
    border-bottom: 1px solid #ccc!important;
    padding: 0;
}
.tabs li {
    list-style: none;
    margin-right: 10px;
}
.tabs a {
    text-decoration: none;
    padding: 10px 20px;
    display: block;
    border: 1px solid transparent;
    border-radius: 4px 4px 0 0;
    color: #007bff;
    transition: 0.3s ease;
}
.tabs a.active {
    background-color: #fff;
    border: 1px solid #ccc;
    border-bottom: none;
    color: #000;
}
.tabs a.disabled {
    color: #ccc;
    pointer-events: none;
    cursor: default;
}
.tabs-content {
    border: 1px solid #ccc;
    padding: 20px;
    margin-top: -1px;
}

table {
    width: 100%;
    border-collapse: collapse;
   
}
th, td {
    padding: 10px;
    text-align: left;
}
th {
    background-color: #f2f2f2;
}
.action-buttons {
    display: flex;
    gap: 10px;
}
.button {
    padding: 5px 10px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}
.button-blue {
    background-color: #007bff;
    color: white;
}
.button-orange {
    background-color: #ff9800;
    color: white;
}
.button-green {
    background-color: #28a745;
    color: white;
}
.modal {
	display: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 500px;
	padding: 30px;
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
	background-color: white;
	z-index: 1000;
	border-radius: 5px;
}
.modal-overlay {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.5);
	z-index: 999;
}
.modal-close {
	position: absolute;
	top: 10px;
	right: 15px;
	cursor: pointer;
	font-size: 20px;
}
.modal-close:hover {
	color: red;
}
.input_empty{
	display: none;
	color: red;
}
@media(max-width:767px){
.modal {
	width: 300px;
	padding: 20px;
}
}
table td {
    border: 1px solid #ccc!important;
}
table tr:nth-child(even) {
    background: #F1F1F1;
}
</style>
<ul class="tabs">
    <li><a href="javascript:void(0)" class="tablink active" data="Details">Details</a></li>
    <li><a href="javascript:void(0)" class="tablink" data="Download">Download</a></li>
</ul>
<?php

?>
<div id="Details" class="tabs-content">
    <h2>Data License</h2>
<table>
    <thead>
        <tr>
            <th>No</th>
            <th>License</th>
            <th>Product Name</th>
            <th>Registered Domain</th>
            <th>Action</th>
        </tr>
    </thead>
    <tbody>
		<?php
			$user = wp_get_current_user();
			$get_current_user = $user->ID;
			global $wpdb;
			$table_name_1 = $wpdb->prefix . 'license';
			$table_name_2 = $wpdb->prefix . 'pmpro_memberships_users';

			$query = "
				SELECT l.user_id, l.secrat_key, l.domain, m.cycle_period, m.status, m.startdate
				FROM $table_name_1 l
				INNER JOIN $table_name_2 m ON l.user_id = m.user_id
				WHERE l.user_id = %d
				ORDER BY m.status ASC
			";

			$results = $wpdb->get_results($wpdb->prepare($query, $get_current_user));

			foreach ($results as $row) {
				$user_id = $row->user_id;
				$cycle_period = $row->cycle_period;
				$date = strtotime($row->startdate);
				$new_date = date('d-M-Y', $date);
				$status = $row->status;
				$secrat_key = $row->secrat_key;
				$domain = $row->domain;
				?>
				<tr>
					<td><?=$user_id?></td>
					<td>
						<p><?=$secrat_key?></p>
						<p><?=$status?> <?=$new_date?></p>
					</td>
					<td>Whatsmarketing per <?=$cycle_period?></td>
					<td><?=$domain?></td>
					<td>
						<div class="action-buttons">
							<button class="button button-green show_modal" value="<?=$user_id?>">Domain</button>
						</div>
					</td>
				</tr>
		<?php
			}
		?>
    </tbody>
</table>
</div>

<div id="Download" class="tabs-content" style="display:none">
<h2>Woowa for WordPress Plugin</h2>

<div class="download-section">
    <p>-- Whatsmarketing 0.1.0 (<a href="<?php echo site_url(); ?>/download/whatsmarketing.zip">download zip</a>)</p>
    <ul>
        <li>Sending abandoned messages automatically.</li>
        <li>Abandoned Cart Table now only shows data with phone number.</li>
        <li>Bug fix: abandoned cart failed to send image.</li>
        <li>Bug fix: abandoned cart failed to send image with bulk method.</li>
        <li>Bug fix: WhatsApp rotation for multics license.</li>
        <li>Bug fix: date expired license is not correct.</li>
        <li>Bug fix: custom form failed to send image.</li>
    </ul>
</div>
</div>
    <div class="modal-overlay"></div>
    <div class="modal">
        <span class="modal-close">&times;</span>
        <h2>Enter your Domain</h2>
        <form method="POST" id="domain-form">
            <label for="site-domain">Domain:</label>
            <input type="hidden" id="user_id_domain" value="">
            <input type="text" id="site-domain" name="domain">
			<span class="input_empty">*please enter domain</span><br><br> 
            <input type="submit" name='submit_domain' id='submit_domain' value='Add Domain'>
        </form>
    </div>
<script>
(function($){
    $(document).on('click','.tablink',function(){
        var ttab = $(this).attr('data');
        $('.tablink').removeClass('active');
        $(this).addClass('active');
        $('.tabs-content').hide();
        $('#'+ttab).show();
    })
})(jQuery)
</script>
<script>
document.addEventListener('DOMContentLoaded', function() {
    const showModalButtons = document.querySelectorAll('.show_modal');
    const modal = document.querySelector('.modal');
    const modalOverlay = document.querySelector('.modal-overlay');
    const modalClose = document.querySelector('.modal-close');
    const domainForm = document.getElementById('domain-form');
    const inputEmptyErr = document.querySelector('.input_empty');

    // Function to show the modal and overlay
    function showModal() {
        modal.style.display = 'block';
        modalOverlay.style.display = 'block';
        const id = this.value;
        document.getElementById('user_id_domain').value = id;
        const siteDomain = this.closest('tr').querySelector('td:nth-child(4)').textContent;
        document.getElementById('site-domain').value = siteDomain;
    }

    // Add click event listener to each button
    showModalButtons.forEach(button => button.addEventListener('click', showModal));

    // Hide the modal and overlay when the close button is clicked
    modalClose.addEventListener('click', function() {
        modal.style.display = 'none';
        modalOverlay.style.display = 'none';
    });

    // Hide the modal and overlay when the overlay is clicked
    modalOverlay.addEventListener('click', function() {
        modal.style.display = 'none';
        modalOverlay.style.display = 'none';
    });

    // Handle form submission
    domainForm.addEventListener('submit', function(event) {
        event.preventDefault();

        const domainId = document.getElementById('user_id_domain').value;
        const domainName = document.getElementById('site-domain').value;
        
        if (domainName !== '') {
            inputEmptyErr.style.display = 'none';

            fetch("<?php echo admin_url('admin-ajax.php'); ?>", {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                body: new URLSearchParams({
                    action: 'insert_domain',
                    domain_id: domainId,
                    domain_name: domainName
                })
            })
            .then(response => response.json())
            .then(data => {
                // Hide the modal and overlay after successful submission
                modal.style.display = 'none';
                modalOverlay.style.display = 'none';
                location.reload(true);
            })
            .catch(error => {
                console.error('Error:', error);
            });
        } else {
            inputEmptyErr.style.display = 'block';
            
        }
    });
});
</script>