<?php
require_once get_stylesheet_directory().'/vendor/autoload.php';
use Twilio\Rest\Client;

add_action('admin_menu', 'my_custom_admin_menu');

function my_custom_admin_menu() {
    add_menu_page(
        'My Custom Page',
        'All whatsmarketing Site',
        'manage_options',
        'my-custom-page',
        'my_custom_page_html',
        'dashicons-edit-page',
        2
    );
}

function my_custom_page_html() {
    if (!current_user_can('manage_options')) {
        return;
    }
?>
    <style>
        .popup {
            display: none;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 300px;
            padding: 20px;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
            background-color: white;
            z-index: 1000;
            border-radius: 5px;
        }
        .popup-overlay {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.5);
            z-index: 999;
        }
        .popup-close {
            position: absolute;
            top: 10px;
            right: 15px;
            cursor: pointer;
            font-size: 20px;
        }
        .popup-close:hover {
            color: red;
        }
		.update{
			display: none;
		}
    </style>
    <div class="wrap">
        <h1>All whatsmarketing Site</h1>
        <button class="add_new_site">Add whatsmarketing site</button>
    </div>
	
    <div class='site_data'>
        <table border='1' style='border-collapse: collapse'>
            <tr>
                <th>Id</th>
				<th>User Id</th>
                <th>Domain</th>
                <th>Secret key</th>
                <th colspan='2'>Action</th>
            </tr>
		<?php
		global $wpdb;

		$table_name = $wpdb->prefix . 'license';

		$results = $wpdb->get_results("SELECT * FROM $table_name");

		foreach($results as $row){
			$action_id = $row->id;
		?>
            <tr>
                <td><?=$row->id;?></td>
                <td><?=$row->user_id;?></td>
                <td><?=$row->domain;?></td>
                <td><?=$row->secrat_key;?></td>
                <td><button class='edit' data-id='<?=$action_id?>'>Edit</button></td>
                <td><button class='delete' data-id='<?=$action_id?>'>Delete</button></td>
            </tr>
		<?php
		}
		?>
        </table>
    </div>

    <div class="popup-overlay"></div>
    <div class="popup">
        <span class="popup-close">&times;</span>
        <h2>Add New Site</h2>
        <form method="POST" id="add-site-form">
            <label for="user_id">User Id:</label>
            <input type="hidden" id="action_id" name="action_id">
            <input type="text" id="user_id" name="user_id"><br><br>
            <label for="domain">Domain:</label>
            <input type="text" id="domain" name="domain"><br><br>
            <label for="secret_key">Secret Key:</label>
            <input type="text" id="secret_key" name="secret_key"><br><br>
            <input type="submit" name='add_site' id='add_site' value='Add site'>
            <input type="submit" name='update' class='update' value='Update'>
        </form>
    </div>

    <script>
	jQuery(document).ready(function($) {
		function loadTableData() {
			$.ajax({
				url: "<?php echo admin_url('admin-ajax.php'); ?>",
				type: "POST",
				data: { action: 'load_table_data' },
				success: function(data) {
					$(".site_data").html(data);
				}
			});
		}

		$(".add_new_site").click(function() {
			$("#action_id").val('');
			$("#user_id").val('');
			$("#domain").val('');
			$("#secret_key").val('');
			$("#add_site").show();
			$(".update").hide();
			$(".popup, .popup-overlay").fadeIn();
		});

		$(document).on('click', '.edit', function() {
			var edit_id = $(this).data("id");
			var user_id = $(this).closest("tr").find("td:eq(1)").text();
			var domain = $(this).closest("tr").find("td:eq(2)").text();
			var secret_key = $(this).closest("tr").find("td:eq(3)").text();

			$("#action_id").val(edit_id);
			$("#user_id").val(user_id);
			$("#domain").val(domain);
			$("#secret_key").val(secret_key);
			$("#add_site").hide();
			$(".update").show();
			$(".popup, .popup-overlay").fadeIn();
		});

		$(".popup-close, .popup-overlay").click(function() {
			$(".popup, .popup-overlay").fadeOut();
		});

		$("#add-site-form").submit(function(e) {
			e.preventDefault();
			let action_id = $("#action_id").val();
			let user_id = $("#user_id").val();
			let domain = $("#domain").val();
			let secret_key = $("#secret_key").val();

			if (user_id !== "" && domain !== "" && secret_key !== "") {
				let action = action_id ? 'site_update_data' : 'insert_add_site';
				let formData = new FormData();
				formData.append('action', action);
				formData.append('action_id', action_id);
				formData.append('user_id', user_id);
				formData.append('domain', domain);
				formData.append('secret_key', secret_key);

				$.ajax({
					url: "<?php echo admin_url('admin-ajax.php'); ?>",
					type: "POST",
					data: formData,
					contentType: false,
					processData: false,
					success: function(response) {
						if(response === "Data inserted successfully"){
							alert(response);
						}else{
							alert("Data updated successfully");
						}
						
						$(".popup, .popup-overlay").fadeOut();
						loadTableData();
					}
				});
			} else {
				alert("All fields are required.");
			}
		});

		$(document).on('click', '.delete', function() {
			var delete_id = $(this).data("id");
			if (confirm("Are you sure you want to delete this record?")) {
				$.ajax({
					url: "<?php echo admin_url('admin-ajax.php'); ?>",
					type: "POST",
					data: {
						action: 'delete_site', 
						id: delete_id 
						},
					success: function(response) {
						loadTableData();
					}
				});
			}
		});
	});
    </script>
    <?php
}

add_action('wp_ajax_load_table_data', 'load_table_data_callback');

function insert_add_site_callback() {
	global $wpdb;

    $user_id = $_POST['user_id'];
    $domain = $_POST['domain'];
    $secret_key = $_POST['secret_key'];

    $data = [
        'user_id' => $user_id,
        'domain' => $domain,
        'secrat_key' => $secret_key,
    ];

    $table_name = $wpdb->prefix . "license";

    $result = $wpdb->insert($table_name, $data);

    if ($result === false) {
        echo 'Error: ' . $wpdb->last_error;
    } else {
        echo 'Data inserted successfully';
    }

    wp_die();
}

add_action("wp_ajax_insert_add_site", "insert_add_site_callback");
add_action("wp_ajax_nopriv_insert_add_site", "insert_add_site_callback");

function site_update_data_callback(){
    global $wpdb;

		$action_id = $_POST['action_id'];
		$user_id = $_POST['user_id'];
		$domain = $_POST['domain'];
		$secret_key = $_POST['secret_key'];

		$edit_data = [
			'user_id' => $user_id,
			'domain' => $domain,
			'secrat_key' => $secret_key,
		];
		$where = [
			'id' => $action_id
		];

		$table_name = $wpdb->prefix . 'license';

		$result = $wpdb->update($table_name, $edit_data, $where);

		if ($result === false) {
			wp_send_json_error('Error: ' . $wpdb->last_error);
		} else {
			wp_send_json_success('Data updated successfully');
		}

		wp_die();
}
add_action("wp_ajax_site_update_data","site_update_data_callback");
add_action("wp_ajax_nopriv_site_update_data","site_update_data_callback");

function delete_site_callback() {
    global $wpdb;

    $id = intval($_POST['id']);
    $table_name = $wpdb->prefix . 'license';

    $result = $wpdb->delete($table_name, ['id' => $id]);

    if ($result === false) {
        echo 'Error: ' . $wpdb->last_error;
    } else {
        echo 'Record deleted successfully';
    }

    wp_die();
}
add_action('wp_ajax_delete_site', 'delete_site_callback');
add_action('wp_ajax_nopriv_delete_site', 'delete_site_callback');



function register_custom_api_endpoint() {
    register_rest_route('custom/v1', '/check-lisence', array(
        'methods' => 'GET',
        'callback' => 'check_lisence_data',
    ));
}
add_action('rest_api_init', 'register_custom_api_endpoint');

function check_lisence_data(WP_REST_Request $request) {
    global $wpdb;
    
    $lisencekey = $request->get_param('lisence_key');
    if (isset($_SERVER['HTTP_REFERER'])) {
        $referer = $_SERVER['HTTP_REFERER'];
        $referer_url = parse_url($referer, PHP_URL_HOST);
    }
    if (!$lisencekey) {
        return null;
    }
	
	$table_name = $wpdb->prefix . 'license';
	//$query = $wpdb->prepare("SELECT * FROM $table_name WHERE domain = %s AND secrat_key = %s", $referer_url, $lisencekey);
	$query = $wpdb->prepare("SELECT * FROM $table_name WHERE secrat_key = %s", $lisencekey);
    $result = $wpdb->get_results($query);
	
	if(sizeof($result) > 0){
		$results = 'lisence_match';
	}else{
		$results = null;
	}

    return $results;
}

function register_whatsapp_api_endpoint() {
    register_rest_route('whatsapp/v1', '/send-whatsapp', array(
        'methods' => 'GET',
        'callback' => 'send_whatsapp_data',
    ));
}
add_action('rest_api_init', 'register_whatsapp_api_endpoint');

function send_whatsapp_data(WP_REST_Request $request) {
    global $wpdb;
	
    $adminnam = $request->get_param('adminnam');
    $phone_number = $request->get_param('phone_number');
    $first_name = $request->get_param('first_name');
    $last_name = $request->get_param('last_name');
    $comp_name = $request->get_param('comp_name');
    $country_name = $request->get_param('country_name');
    $state_name = $request->get_param('state_name');
    $city_name = $request->get_param('city_name');
    $add1_name = $request->get_param('add1_name');
    $add2_name = $request->get_param('add2_name');
	if($add2_name == ''){ $add2_name = ' '; }
    $emal_name = $request->get_param('emal_name');
    $order_date = $request->get_param('order_date');
    $order_time = $request->get_param('order_time');
    $website = $request->get_param('website');
    $total = $request->get_param('total');
    $product_name = $request->get_param('product_name');
    $payment_method = $request->get_param('payment_method');
    $lisence_key = $request->get_param('lisence_key');
    $lisence_key = str_replace(' ', '', $lisence_key);
	$current = time();
	$whatsappnumber = $request->get_param('whatsapp');
	$whatsappnumber = str_replace(' ', '', $whatsappnumber);
	if (strpos($whatsappnumber, '+') !== 0) {
		$whatsappnumber = '+'.$whatsappnumber;
	}
	
    if ($website != site_url()) {
        $table_name = $wpdb->prefix . 'license';
		$query = $wpdb->prepare("SELECT * FROM $table_name WHERE domain = %s AND secrat_key = %s", $website, $lisence_key);
		$result = $wpdb->get_results($query);
		
		if(sizeof($result) > 0 && $current < $result[0]->pack_end){
			$account_sid = 'AC523abb843ca3c4216080eb6de3e28f60';
			$auth_token = 'fe627820d111757e110e608123df8531';
			//$contentSid = 'HXf8b788c894a8748815af003162f1ad7d';
			$contentSid = 'HX95ab16e1fcb3dfacd3470a874e3b5a8f';
			$twilio_number = 'whatsapp:+12563804086';

			// Create a new Twilio client
			$client = new Client($account_sid, $auth_token);
			$to = 'whatsapp:'.$whatsappnumber;
			
			try {
				$message = $client->messages->create(
					$to,
					[
						'from' => $twilio_number,
						'contentSid' => $contentSid,
						'contentVariables' => json_encode([
							'1' => $adminnam,
							'2' => $website,
							'3' => $order_date.' at '.$order_time,
							'4' => $first_name,
							'5' => $last_name,
							'6' => $comp_name,
							'7' => $country_name,
							'8' => $state_name,
							'9' => $city_name,
							'10' => $add1_name,
							'11' => $add2_name,
							'12' => $phone_number,
							'13' => $emal_name,
							'14' => $product_name,
							'15' => $total,
							'16' => $payment_method
						])
					]
				);

				echo "WhatsApp message sent successfully with SID: " . $message->sid . "\n";
				
				echo$message = $client->messages($message->sid)->fetch();

				$fetchedMessage = $client->messages($message->sid)->fetch();
				echo "Message Status: " . $fetchedMessage->status . "\n";

				if ($fetchedMessage->status === 'undelivered' || $fetchedMessage->status === 'failed') {
					 echo "Error Code: " . $fetchedMessage->errorCode . "\n";
					 echo "Error Message: " . $fetchedMessage->errorMessage . "\n";
				}

			} catch (Exception $e) {
				echo "Error sending message: " . $e->getMessage() . "\n";
			}
		}
    }
}

function send_sms_on_woocommerce_order($order_id) {
    
    $order = wc_get_order($order_id);
    $phone_number = $order->get_billing_phone();
	$first_name = $order->get_billing_first_name();
	$last_name = $order->get_billing_last_name();
	$comp_name = $order->get_billing_company();
	$cont_name = $order->get_billing_country();
	$stat_name = $order->get_billing_state();
	$country_name = WC()->countries->countries[ $cont_name ];
    $state_name = WC()->countries->states[ $cont_name ][ $stat_name ];
	$city_name = $order->get_billing_city();
	$add1_name = $order->get_billing_address_1();
	$add2_name = $order->get_billing_address_2();
	if($add2_name == ''){ $add2_name = ' '; }
	$emal_name = $order->get_billing_email();
	$order_date = $order->get_date_created()->date_i18n( 'j F Y' );
	$order_time = $order->get_date_created()->date_i18n( 'g:i a' );
	$website = site_url();
	$total = $order->get_total();
	$payment_method = $order->get_payment_method_title();
	$product_name = [];
	foreach ( $order->get_items() as $item_id => $item ) {
		$product_name[] = $item->get_name();
	}
	$product_name = implode(", ",$product_name);
	$whatsappnumber = get_option('whatsapp_no');
    // Twilio credentials
    $account_sid = 'AC523abb843ca3c4216080eb6de3e28f60';
    $auth_token = 'fe627820d111757e110e608123df8531';
    //$contentSid = 'HXf8b788c894a8748815af003162f1ad7d';
    $contentSid = 'HX95ab16e1fcb3dfacd3470a874e3b5a8f';
    $twilio_number = 'whatsapp:+12563804086';
	
	$whatsappnumber = str_replace(' ', '', $whatsappnumber);
	if (strpos($whatsappnumber, '+') !== 0) {
		$whatsappnumber = '+'.$whatsappnumber;
	}
	
	$admins = get_users( array( 'role' => 'administrator', 'number' => 1 ) );
	if ( !empty($admins) ) {
		$adminnam = $admins[0]->display_name;
	}else{
		$adminnam = '';
	}

    // Create a new Twilio client
    $client = new Client($account_sid, $auth_token);
	$to = 'whatsapp:'.$whatsappnumber;
	try {
		$message = $client->messages->create(
			$to,
			[
				'from' => $twilio_number,
				'contentSid' => $contentSid,
				'contentVariables' => json_encode([
					'1' => $adminnam,
					'2' => $website,
					'3' => $order_date.' at '.$order_time,
					'4' => $first_name,
					'5' => $last_name,
					'6' => $comp_name,
					'7' => $country_name,
					'8' => $state_name,
					'9' => $city_name,
					'10' => $add1_name,
					'11' => $add2_name,
					'12' => $phone_number,
					'13' => $emal_name,
					'14' => $product_name,
					'15' => $total,
					'16' => $payment_method
				])
			]
		);

		//echo "WhatsApp message sent successfully with SID: " . $message->sid . "\n";

		$fetchedMessage = $client->messages($message->sid)->fetch();
		//echo "Message Status: " . $fetchedMessage->status . "\n";

		if ($fetchedMessage->status === 'undelivered' || $fetchedMessage->status === 'failed') {
			// echo "Error Code: " . $fetchedMessage->errorCode . "\n";
			// echo "Error Message: " . $fetchedMessage->errorMessage . "\n";
		}

	} catch (Exception $e) {
		//echo "Error sending message: " . $e->getMessage() . "\n";
	}
}

add_action('woocommerce_thankyou', 'send_sms_on_woocommerce_order', 10, 1);

add_action( 'init', 'process_whatsmarketing_elementor_submit',20 );
function process_whatsmarketing_elementor_submit(){
	if(isset($_POST['whatsmarketing_elementor_submit'])){
		
		$phone_number = $_POST['form_fields']['wa'];
		$first_name = $_POST['form_fields']['name'];
		$sendmessage = $_POST['form_fields']['message'];
		$whatsappnumber = $_POST['form_fields']['whatsapp'];
		$email = $_POST['form_fields']['email'];
		
		$account_sid = 'AC523abb843ca3c4216080eb6de3e28f60';
		$auth_token = 'fe627820d111757e110e608123df8531';
		//$contentSid = 'HX96a6be261cbb7072cd0396d1a2082d68';
		$contentSid = 'HX66dda600d3106e79ff2217abe4797bec';
		$twilio_number = 'whatsapp:+12563804086';
		
		$whatsappnumber = str_replace(' ', '', $whatsappnumber);
		if (strpos($whatsappnumber, '+') !== 0) {
			$whatsappnumber = '+'.$whatsappnumber;
		}

		// Create a new Twilio client
		$client = new Client($account_sid, $auth_token);
		$to = 'whatsapp:'.$whatsappnumber;
		try {
			$message = $client->messages->create(
				$to,
				[
					'from' => $twilio_number,
					'contentSid' => $contentSid,
					'contentVariables' => json_encode([
						'1' => $first_name,
						'2' => $phone_number,
						'3' => $sendmessage,
						'4' => $email,
					])
				]
			);

			//echo "WhatsApp message sent successfully with SID: " . $message->sid . "\n";

			$fetchedMessage = $client->messages($message->sid)->fetch();
			//echo "Message Status: " . $fetchedMessage->status . "\n";

			if ($fetchedMessage->status === 'undelivered' || $fetchedMessage->status === 'failed') {
				// echo "Error Code: " . $fetchedMessage->errorCode . "\n";
				// echo "Error Message: " . $fetchedMessage->errorMessage . "\n";
			}

		} catch (Exception $e) {
			//echo "Error sending message: " . $e->getMessage() . "\n";
		}
	}
}

function register_whatsmarketing_elementor_endpoint() {
    register_rest_route('elementor/v1', '/send-elementor', array(
        'methods' => 'GET',
        'callback' => 'send_elementor_data',
    ));
}
add_action('rest_api_init', 'register_whatsmarketing_elementor_endpoint');

function send_elementor_data(WP_REST_Request $request) {
    global $wpdb;
	
    $website = $request->get_param('website');
    $phone_number = $request->get_param('wa');
	$first_name = $request->get_param('name');
	$sendmessage = $request->get_param('message');
	$whatsappnumber = $request->get_param('whatsapp');
	$email = $request->get_param('email');
	
	$account_sid = 'AC523abb843ca3c4216080eb6de3e28f60';
	$auth_token = 'fe627820d111757e110e608123df8531';
	//$contentSid = 'HX96a6be261cbb7072cd0396d1a2082d68';
	$contentSid = 'HX66dda600d3106e79ff2217abe4797bec';
	$twilio_number = 'whatsapp:+12563804086';
	
	$whatsappnumber = str_replace(' ', '', $whatsappnumber);
	if (strpos($whatsappnumber, '+') !== 0) {
		$whatsappnumber = '+'.$whatsappnumber;
	}

	if ($website != site_url()) { 
		$current = time();
		$lisence_key = $request->get_param('lisence_key');
        $table_name = $wpdb->prefix . 'license';
		$query = $wpdb->prepare("SELECT * FROM $table_name WHERE domain = %s AND secrat_key = %s", $website, $lisence_key);
		$result = $wpdb->get_results($query);
		
		if(sizeof($result) > 0 && $current < $result[0]->pack_end){
			$client = new Client($account_sid, $auth_token);
			$to = 'whatsapp:'.$whatsappnumber;
			try {
				$message = $client->messages->create(
					$to,
					[
						'from' => $twilio_number,
						'contentSid' => $contentSid,
						'contentVariables' => json_encode([
							'1' => $first_name,
							'2' => $phone_number,
							'3' => $sendmessage,
							'4' => $email,
						])
					]
				);

				return "WhatsApp message sent successfully with SID: " . $message->sid . "\n";

				$fetchedMessage = $client->messages($message->sid)->fetch();
				return "Message Status: " . $fetchedMessage->status . "\n";

				if ($fetchedMessage->status === 'undelivered' || $fetchedMessage->status === 'failed') {
					 return "Error Code: " . $fetchedMessage->errorCode . "\n";
					 return "Error Message: " . $fetchedMessage->errorMessage . "\n";
				}

			} catch (Exception $e) {
				return "Error sending message: " . $e->getMessage() . "\n";
			}
		}
	}
}

function allow_only_one_product_in_cart( $cart_item_data ) {
    if ( WC()->cart->get_cart_contents_count() > 1 ) {
        WC()->cart->empty_cart();
    }
}
add_filter( 'woocommerce_add_to_cart', 'allow_only_one_product_in_cart' );

add_action( 'init', 'process_shortcode_form' );
function process_shortcode_form(){
	add_shortcode( 'plugin_payment_form', 'plugin_payment_form' );
}

function plugin_payment_form ($attr) {
	ob_start();
	include get_stylesheet_directory().'/payment_form.php';
	return ob_get_clean();
}

function cws_custom_after_subscription_payment($user_id, $order) {
    $myfile = fopen("newfile.txt", "w") or die("Unable to open file!");
	$txt = json_encode($order);
	fwrite($myfile, $txt);
	fclose($myfile);
    
    update_user_meta($user_id, 'renewal_count', get_user_meta($user_id, 'renewal_count', true) + 1);
}
add_action('pmpro_subscription_payment_completed', 'cws_custom_after_subscription_payment', 10, 2);

function cws_custom_after_checkout($user_id, $checkout_level) {
	global $wpdb;
	$levlid = $checkout_level->membership_id;
	$mebrlevl = pmpro_getLevel($levlid);
	$vlidnmbr = $mebrlevl->cycle_number;
	$vlidtype = $mebrlevl->cycle_period;
	$Date = date('Y-m-d 00:00:01');
	$menddate = date('Y-m-d H:i:s', strtotime($Date. ' + '.$vlidnmbr.' '.$vlidtype));
	$endatime = strtotime($menddate);
	
	$str_result = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
	$secret_key = substr(str_shuffle($str_result), 0, 24);
	
	$table_name = $wpdb->prefix . "license";
	$results = $wpdb->get_results("SELECT * FROM $table_name WHERE user_id =".$user_id);
	
	if(sizeof($results) > 0){
		$id = $results[0]->id;
		$secret_key = $results[0]->secrat_key;
		$data = [
			'pack_id' => $levlid,
			'pack_end' => $endatime,
		];
		$where = [
			'id' => $id
		];

		$result = $wpdb->update($table_name, $data, $where);
	}else{
		$data = [
			'user_id' => $user_id,
			'pack_id' => $levlid,
			'domain' => '',
			'secrat_key' => $secret_key,
			'pack_end' => $endatime,
		];

		$result = $wpdb->insert($table_name, $data);
	}
	$user_info = get_userdata($user_id);
	$user_email = $user_info->user_email;
	$to = $user_email;
    $subject = 'Thank you for your purchase!';
    $message = '<p>Hi ' . $user_info->display_name . ',</p>';
    $message .= '<p>Thank you for registering at our site. your Lisence key is '.$secret_key.'</p><br><p>You can download plugin from here</p><a href="'.site_url().'/download/whatsmarketing.zip">Download Plugin</a>';
    $headers = array('Content-Type: text/html; charset=UTF-8');

    wp_mail($to, $subject, $message, $headers);
	
    update_user_meta($user_id, 'renewal_count', 1);
}
add_action('pmpro_after_checkout', 'cws_custom_after_checkout', 10, 2);





function add_whatsmarketing_account_tab( $items ) {
	if ( pmpro_hasMembershipLevel() ) {
		$items['whatsmarketing'] = 'Whatsmarketing';
	}
    return $items;
}
add_filter( 'woocommerce_account_menu_items', 'add_whatsmarketing_account_tab' );
function whatsmarketing_content() {
	include get_stylesheet_directory().'/account_whatsmarketing.php';
}
add_action( 'woocommerce_account_whatsmarketing_endpoint', 'whatsmarketing_content' );
function add_whatsmarketing_endpoint() {
    add_rewrite_endpoint( 'whatsmarketing', EP_ROOT | EP_PAGES );
}
add_action( 'init', 'add_whatsmarketing_endpoint' );
function reorder_my_account_tabs( $items ) {
	if ( pmpro_hasMembershipLevel() ) {
		$items = array(
			'dashboard'       => __( 'Dashboard', 'woocommerce' ),
			'orders'          => __( 'Orders', 'woocommerce' ),
			'whatsmarketing'  => __( 'Whatsmarketing', 'woocommerce' ),
			'downloads'       => __( 'Downloads', 'woocommerce' ),
			'edit-address'    => __( 'Addresses', 'woocommerce' ),
			'edit-account'    => __( 'Account Details', 'woocommerce' ),
			'customer-logout' => __( 'Logout', 'woocommerce' ),
		);
	}
    return $items;
}
add_filter( 'woocommerce_account_menu_items', 'reorder_my_account_tabs' );


/////////////////// redirecting membership-account to my-account page ///////////////

function redirect_to_my_account(){
    
    if (get_the_ID() == 678){
        $url_of_my_account = home_url()."/my-account/whatsmarketing/";
        wp_redirect($url_of_my_account  );
        exit;
    }
   
}

add_action( 'wp_head', 'redirect_to_my_account' );

///////////////////////////////

//// Stor Domain  /////

function insert_domain_callback_function(){
    
	global $wpdb;

	$domain_id = isset($_POST['domain_id']) ? sanitize_text_field($_POST['domain_id']) : '';
	$domain_name = isset($_POST['domain_name']) ? sanitize_text_field($_POST['domain_name']) : '';
	
	$add_domain = [
		'domain' => $domain_name,
	];

	$where_condition = [
		'user_id' => $domain_id,
	];

	$table_name = $wpdb->prefix . 'license';

	$result = $wpdb->update($table_name, $add_domain, $where_condition);

	if ($result === false) {
		wp_send_json_error('Not Add');
	} else {
		wp_send_json_success('Successfully Add');
	}

wp_die();

}
add_action("wp_ajax_insert_domain","insert_domain_callback_function");
add_action("wp_ajax_nopriv_insert_domain","insert_domain_callback_function");

////// Check Date cron///////

function send_expiry_emails() {
    $user = wp_get_current_user();
    $get_current_user = $user->ID;
	global $wpdb;

	$table_name = $wpdb->prefix . 'pmpro_memberships_users';

	$query = $wpdb->prepare("SELECT * FROM $table_name WHERE user_id = %d AND status = %s",$get_current_user, 'active');

	$active_members = $wpdb->get_results($query);

	foreach ($active_members as $member) {
	    $user_data = get_userdata($member->user_id);
		$current_user_mail = $user_data->user_email; 
		$time_period = strtolower($member->cycle_period);
		$date = new DateTime($member->startdate);
		$fetch_date = $date->format('d-m-Y');
		
		$modify_string = "+1 $time_period";
		$date->modify($modify_string);
		$add_time_period = $date->format('d-m-Y');
		$date->modify('-15 days');
		$new_date = $date->format('d-m-Y');
		
		//Adding one month or one year to the current date and subtracting 15 days from it gives results//
		if (!empty($new_date)) {
			//echo $new_date;
			$to = '$current_user_mail';
			$subject = 'Whatsmarketing License key Expiry Notification';
			$message = 'Your License key will expire on ' . $add_time_period . ' Add Pack to continue your service';
			$headers = array('Content-Type: text/html; charset=UTF-8');

			wp_mail($to, $subject, $message, $headers);
		}else{
			//echo "Your WhatsApp License Key do not expired";
		}
	}
}

// Schedule the cron job
function schedule_expiry_check() {
    if (!wp_next_scheduled('check_expiry_date_event')) {
        wp_schedule_event(time(), 'daily', 'check_expiry_date_event');
    }
}
add_action('init', 'schedule_expiry_check');

add_action('check_expiry_date_event', 'send_expiry_emails');

/////////////////////////////////////////////////////////////////////////////////////
/*
function register_cws_elementor_form_widget( $widgets_manager ) {
    require_once( __DIR__ . '/custom-cws-widget.php' );
    $widgets_manager->register( new \Custom_Cws_Form_Widget() );
}
add_action( 'elementor/widgets/register', 'register_cws_elementor_form_widget' );
*/
